span.step-2 {
  display: none;
}
#file_input {
  display: none;
}

#output, #output2 {
  margin: 0;
  /* max-height: 100%; */
  max-width: 100%;
  height: auto;
  width: auto;
  object-fit: cover;
  width: 80px;
  height: 80px;
  border-radius: 100%;
  position: absolute;
}

.locked {
  
  /*background-color: #8b8b8b;*/
}
.generated-image {
  opacity: 0;
  transition: opacity 1s ease-in-out;
}
.game-module__buttons-item.loaded {
  position: relative;
  
}
.game-module__buttons-item.loaded:after {
  content: '';
  position: absolute;
  top: 64px;
  left: 71px;
  width: 7px;
  height: 12px;
  border: solid green;
  border-width: 0 3px 3px 0;
  transform: rotate(45deg);
}

.input-validation-failed {
  border: 1px solid red;
  color: red;
  border-color: red !important;
}
.checkbox-validation-failed {
  color: red;
}
.checkbox-validation-failed .checkbox__label:before {
  border-color: red !important;
}
.result-module__image {
  -webkit-box-shadow: 0px -1px 42px -17px rgba(0,0,0,0.75);
  -moz-box-shadow: 0px -1px 42px -17px rgba(0,0,0,0.75);
  box-shadow: 0px -1px 42px -17px rgba(0,0,0,0.75);
  border-radius: 16px;
  overflow: hidden;
}

.reasons-module__right {
  z-index: 20;
}

.game-info__second-prize-text {
  font-size: 56px;
}
.game-info__second-prize {
  padding: 42px 10px;
}

@media only screen and (max-width: 767px) {
  .game-info__second-prize-text {
      font-size: 29px;
  }
  .game-info__second-prize {
    padding: 26px 10px;
  }
}

.game-info__second-prize {
  bottom: -5%;
  left: 20%;
}
.reasons-module__info-text {
  overflow: visible;
}

.game-module__buttons-label {
  font-weight: 800;
  font-size: 20px;
  margin-bottom: 13px;
}
.game-module__buttons {
  display: block;
}

.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
  z-index: 100;
}

/* Modal Content/Box */
.modal .modal-content {
  background-color: #fefefe;
  margin: 15% auto; /* 15% from the top and centered */
  padding: 11px;
  width: 80%; /* Could be more or less, depending on screen size */
  max-width: 640px;
  display: flex;
  justify-content: center;
  position: relative;
  border-radius: 22px;
}
.modal video, .modal canvas {
  width: 100%;
  max-width: 640px;
  aspect-ratio: auto 640 / 480;
  border-radius: 11px;
  z-index: 2;
}

/* The Close Button */
.modal .close {
  color: #230078;
  font-size: 28px;
  margin-top: -18px;
  position: absolute;
  top: 9px;
  right: -7px;
  background: #e9e9e9;
  width: 30px;
  text-align: center;
  border-radius: 100%;
  height: 30px;
  line-height: 30px;
  z-index: 3;
}

.modal .close:hover,
.modal .close:focus {
  color: black;
  text-decoration: none;
  cursor: pointer;
}
.modal #preview {
  display: none;
 
  justify-content: center;
}

.modal .text {
  position: absolute;
  color: #000;
  margin-top: 135px
}

#openModalBtn, #file {
  width: 80px;
  height: 80px;
}
.modal .game-module__buttons-item {
  border-radius: 70px;
  width: 230px;
  position: absolute;
  font-weight: bold;
  bottom: 50px;
  z-index: 101;
}
.modal .game-module__buttons-item .icon {
  position: absolute;
}

.modal .game-module__buttons-item {
  border-radius: 70px;
  width: 208px;
  position: absolute;
  font-weight: bold;
  bottom: 36px;
  z-index: 101;
}
.modal #buttons {
  position: absolute;
  bottom: 0px;
  left: 0px;
  width: 100%;
  text-align: center;
}
.modal #retakeButton, .modal #uploadButton {
  border-radius: 70px;
  width: 208px;
  position: relative;
  font-weight: bold;
  bottom: 36px;
  z-index: 101;
  padding: 8px;
  background-color: var(--color-blue);
  transition: background-color 0.3s ease, box-shadow 0.3s ease;
  height: 60px;
}
.modal #retakeButton:hover, .modal #uploadButton:hover {
  box-shadow: 0 0 0 6px rgba(35, 0, 120, 0.3);
}
.modal #retakeButton {
  width: 106px;
  background-color: transparent;
  border: 3px solid #230078;
  color: #230078;
  margin-right: 10px;
}

#upload-buttons #file {
  float: left;
    margin-right: 13px;
}

@media only screen and (max-width: 1023px) {
  #upload-buttons #openModalBtn {
    opacity: 0;
    pointer-events: none;
  }
}

.cookie-banner {
  position: fixed;
  left: 0;
  right: 0;
  bottom: 0;
  margin: auto;
  padding: 40px 0;
  z-index: 998;
  color: var(--color-black);
  background-color: var(--color-white);
  font-size: 14px;
  font-weight: 400;
  line-height: 25px;
  opacity: 0;
  visibility: hidden;
  box-shadow: 0 -24px 40px rgba(0, 0, 0, 0.07);
  transition: opacity 0.5s ease, visibility 0s linear 0.5s;
}

.cookie-decline {
   background-color: transparent;
   color: #fa7800; 
}


.cookie-banner.cookie-not-set {
  opacity: 1;
  pointer-events: all;
  visibility: visible;
  transition: opacity 0.5s ease, visibility 0s linear;
}

@media (min-width: 768px) and (max-width: 1022px) {
  .cookie-banner {
    padding: 30px 0;
  }
}

@media (max-width: 767px) {
  .cookie-banner {
    padding: 20px 0;
  }
}

.cookie-banner .cookie-width {
  display: grid;
  grid-template-columns: 75% 1fr;
  grid-gap: 20px;
}

@media (min-width: 1200px) {
  .cookie-banner .cookie-width {
    max-width: 1600px;
  }
}

@media (max-width: 1439px) {
  .cookie-banner .cookie-width {
    grid-template-columns: 70% 1fr;
  }
}

@media (max-width: 1199px) {
  .cookie-banner .cookie-width {
    grid-template-columns: 1fr;
    justify-items: flex-start;
  }
}

.cookie-banner__button {
  display: grid;
  grid-gap: 15px;
  grid-template-columns: repeat(2, minmax(0, 1fr));
  align-items: flex-start;
}

@media (max-width: 1199px) {
  .cookie-banner__button {
    justify-items: flex-start;
  }
}

@media (max-width: 767px) {
  .cookie-banner__button {
    grid-template-columns: 1fr;
    justify-items: initial;
    width: 100%;
  }
}



.game-info__right-text {
  max-width: 380px;
  font-size: 18px;
}
@media (max-width: 1199px) {
  .game-info__right-text {
    max-width: 350px;
    font-size: 17px;
    margin-top: 148px;
  }
  .game-info__main-prize, .game-info__second-prize, .game-info__right-circle-inner {
    display: none;
  }
  .game-info__right-circle {
    left: -19%;
  }
}

@media (max-width: 767px) {
  .game-info__right-text {
    max-width: 270px;
    font-size: 13px;
    margin: 0 0 12px 20px;
  }
  .game-info__main-prize, .game-info__second-prize, .game-info__right-circle-inner {
    display: none;
  }
  .game-info__right-circle {
    left: -69%;
  }
}

.game-info__arrow {
  display: none;
}


@media (max-width: 767px) {
.intro-module {
  margin-bottom: 90px;
}
}
